MPTCP Linux Development
 help / color / mirror / Atom feed
From: Matthieu Baerts <matttbe@kernel.org>
To: Geliang Tang <geliang@kernel.org>, mptcp@lists.linux.dev
Cc: Geliang Tang <tanggeliang@kylinos.cn>
Subject: Re: [PATCH mptcp-next v14 00/14] dump for userspace pm
Date: Tue, 20 Feb 2024 12:50:49 +0100	[thread overview]
Message-ID: <682134fb-8893-4ee0-9ddd-c0a4a4f5650b@kernel.org> (raw)
In-Reply-To: <cover.1708422758.git.tanggeliang@kylinos.cn>

[-- Attachment #1: Type: text/plain, Size: 905 bytes --]

Hi Geliang,

On 20/02/2024 10:58, Geliang Tang wrote:
> From: Geliang Tang <tanggeliang@kylinos.cn>
> 
> v14:
>  - address Matt's comments in v13.

Thank you for the new version!

I didn't look at it yet, but:

>  - I have to use these lines in patch #8:
> 
>       local cmd_ret=0
>       local out=$(${cmd} 2>${err}) || cmd_ret=${?}
> 
>    The following expected code breaks pm_netlink.sh, I don't know why:
> 
>       local out cmd_ret=0
>       out=$(${cmd} 2>${err}) || cmd_ret=${?}
> 
>    If this is still a problem, I'll send a squash-to patch to fix it.

Yes, we should either fix warnings or explicitly mark the false positive
ones as ignored.

Can you try with the attached patch please? It is not clear to me why
the second block doesn't do the same as the first one.

I can squash it when applying the series if there are no other comments.

Cheers,
Matt
-- 
Sponsored by the NGI0 Core fund.

[-- Attachment #2: mptcp_lib_shellcheck.patch --]
[-- Type: text/x-patch, Size: 1065 bytes --]

diff --git a/tools/testing/selftests/net/mptcp/mptcp_lib.sh b/tools/testing/selftests/net/mptcp/mptcp_lib.sh
index aca35376006b..556a7d9784d7 100644
--- a/tools/testing/selftests/net/mptcp/mptcp_lib.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_lib.sh
@@ -352,20 +352,24 @@ mptcp_lib_check_tools() {
 }
 
 mptcp_lib_check_output() {
-	local err="$1"
-	local cmd="$2"
-	local expected="$3"
+	local err="${1}"
+	local cmd="${2}"
+	local expected="${3}"
 	local cmd_ret=0
-	local out=$(${cmd} 2>${err}) || cmd_ret=${?}
+	local out
 
-	if [ $cmd_ret -ne 0 ]; then
-		mptcp_lib_print_err "[FAIL] command execution '$cmd' stderr"
+	if ! out=$(${cmd} 2>"${err}"); then
+		cmd_ret=${?}
+	fi
+
+	if [ ${cmd_ret} -ne 0 ]; then
+		mptcp_lib_print_err "[FAIL] command execution '${cmd}' stderr"
 		cat "${err}"
 		return 2
-	elif [ "$out" = "$expected" ]; then
+	elif [ "${out}" = "${expected}" ]; then
 		return 0
 	else
-		mptcp_lib_print_err "[FAIL] expected '$expected' got '$out'"
+		mptcp_lib_print_err "[FAIL] expected '${expected}' got '${out}'"
 		return 1
 	fi
 }

  parent reply	other threads:[~2024-02-20 11:50 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-20  9:58 [PATCH mptcp-next v14 00/14] dump for userspace pm Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 01/14] mptcp: export mptcp_genl_family & mptcp_nl_fill_addr Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 02/14] mptcp: implement mptcp_userspace_pm_dump_addr Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 03/14] mptcp: add token for get-addr in yaml Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 04/14] mptcp: dump addrs in userspace pm list Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 05/14] mptcp: check userspace pm flags Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 06/14] selftests: mptcp: add userspace pm subflow flag Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 07/14] selftests: mptcp: add token for dump_addr Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 08/14] selftests: mptcp: add mptcp_lib_check_output helper Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 09/14] selftests: mptcp: dump userspace addrs list Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 10/14] mptcp: add userspace_pm_lookup_addr_by_id helper Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 11/14] mptcp: implement mptcp_userspace_pm_get_addr Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 12/14] mptcp: get addr in userspace pm list Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 13/14] selftests: mptcp: add token for get_addr Geliang Tang
2024-02-20  9:58 ` [PATCH mptcp-next v14 14/14] selftests: mptcp: userspace pm get addr tests Geliang Tang
2024-02-20 10:51   ` selftests: mptcp: userspace pm get addr tests: Tests Results MPTCP CI
2024-02-20 18:27   ` MPTCP CI
2024-02-20 18:46   ` MPTCP CI
2024-02-20 11:50 ` Matthieu Baerts [this message]
2024-02-20 17:37   ` [PATCH mptcp-next v14 00/14] dump for userspace pm Matthieu Baerts
2024-02-20 17:48     ` Mat Martineau
2024-02-21  1:06   ` Geliang Tang
2024-02-21 11:46 ` Matthieu Baerts

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=682134fb-8893-4ee0-9ddd-c0a4a4f5650b@kernel.org \
    --to=matttbe@kernel.org \
    --cc=geliang@kernel.org \
    --cc=mptcp@lists.linux.dev \
    --cc=tanggeliang@kylinos.cn \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox